Package org.snpeff.ped

# Class PedGenotype

java.lang.Object
org.snpeff.ped.PedGenotype

public class PedGenotype extends Object
A Simple genotype implementation for PED files

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`PedGenotype(String[] genotypes)`
`PedGenotype(String[] genotypes, String chrName, int position)`

## Method Summary

Modifier and Type
Method
Description
`String`
`get(int idx)`
`String[]`
`getGenotypes()`
`int`
`getPosition()`
`boolean`
`has(String genotype)`
Is 'genotype' in this one?
`boolean`
`isHomozygous()`
Is this homozygous?
`boolean`
`isValid()`
`int`
`size()`
`String`
`toString()`
`String`
`toString(boolean wcComplement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PedGenotype

public PedGenotype(String[] genotypes)

### PedGenotype

public PedGenotype(String[] genotypes, String chrName, int position)

## Method Details

### get

public String get(int idx)

### getGenotypes

public String[] getGenotypes()

### getPosition

public int getPosition()

### has

public boolean has(String genotype)
Is 'genotype' in this one?

Parameters:
  `genotype` -
Returns:

### isHomozygous

public boolean isHomozygous()
Is this homozygous?

Returns:

### isValid

public boolean isValid()

### size

public int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toString

public String toString(boolean wcComplement)